summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2019-06-29 16:40:59 +0200
committerThomas Deutschmann <whissi@gentoo.org>2019-06-29 16:47:07 +0200
commit62f97525c5a0a64754135ded0b7cacfb744958ef (patch)
treeb109c5b5e5e58a99066737d63cd81f3b5e342097
parentsys-devel/binutils: disable gold testsuite in stable candidate (diff)
downloadgentoo-62f97525c5a0a64754135ded0b7cacfb744958ef.tar.gz
gentoo-62f97525c5a0a64754135ded0b7cacfb744958ef.tar.bz2
gentoo-62f97525c5a0a64754135ded0b7cacfb744958ef.zip
dev-python/awscli: bump to v1.16.190
Package-Manager: Portage-2.3.67, Repoman-2.3.14 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
-rw-r--r--dev-python/awscli/Manifest1
-rw-r--r--dev-python/awscli/awscli-1.16.190.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/awscli/Manifest b/dev-python/awscli/Manifest
index cc928a6f632..903aacd6627 100644
--- a/dev-python/awscli/Manifest
+++ b/dev-python/awscli/Manifest
@@ -1,3 +1,4 @@
DIST awscli-1.16.104.tar.gz 1186611 BLAKE2B 8f0918b86c37e184ffc8055cb16a02379fd35e685c5ddfcbf2b7e1fb71a80f829569eb1c2264e75563a316d933143a662cd7dcf4d6d25d236d72c268fb4985f0 SHA512 738ceac890b28c335f0c9bc703975af3467f17723b8accf713ef131224602895f6b4fae06cad93495933563c08ede18e38cf67abff744e6f5b0042b182bddec3
DIST awscli-1.16.125.tar.gz 1201382 BLAKE2B 4412aad3e892527c053cc5baedaf9fcdf82f9c28fc1c19249713d5bbf174ad01ca61e2519702f67580c67ac389359e4493c3ad16646216619516a8ec76f37a2f SHA512 01d66d2baf26377f5315f5b3b0bf52fe6643c0e695e83c75178d819b29ebf3d55b1ad4a4ab4065540fc091d2e12090687a1046dc586715c4021dc30519bf2feb
DIST awscli-1.16.148.tar.gz 1227053 BLAKE2B 3dd32671fff511933703a418c34df8a0c71bad02ae76391eb279cb1148f7ae989dd1d98a9752a894e81f6feef55781129b82d938bc0b16f7bb0ccb8be0d1571c SHA512 c609e109da24e6d58f8c4bfaedfc6ded593dade51e60f66af4b1885d38920eada4fde8a4f67266931484981a6c6a9bb19ef8c36b3b3915a83f3d933912b6bb02
+DIST awscli-1.16.190.tar.gz 1283492 BLAKE2B 9030c7d1c992b15d816cb611a132ab6cc50e58576bc60120aa1de7b87cd863e530f0b46eecb7fb50f2aeab6e11cd840a330d59ad509f0936c4aab04d26432bdd SHA512 ffea030a45128e6e4fd8530488b9a3d8868915a7eb557144d82fd84e50b3ad73acc4b3217298539cdd3d8ac1ee57f9262930bf009357b21d5f5b4fa70ec021f7
diff --git a/dev-python/awscli/awscli-1.16.190.ebuild b/dev-python/awscli/awscli-1.16.190.ebuild
new file mode 100644
index 00000000000..12aa770f418
--- /dev/null
+++ b/dev-python/awscli/awscli-1.16.190.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="https://pypi.org/project/awscli/"
+#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+# requires network access
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/botocore-1.12.81[${PYTHON_USEDEP}]
+ <dev-python/colorama-0.3.9.0[${PYTHON_USEDEP}]
+ dev-python/docutils[${PYTHON_USEDEP}]
+ <dev-python/rsa-3.5.0.0[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.1.12[${PYTHON_USEDEP}]
+ <dev-python/pyyaml-3.13.0[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/aws-cli-${PV}"
+
+python_test() {
+ nosetests -vv || die
+}
+
+python_install_all() {
+ newbashcomp bin/aws_bash_completer aws
+
+ insinto /usr/share/zsh/site-functions
+ newins bin/aws_zsh_completer.sh _aws
+
+ distutils-r1_python_install_all
+
+ rm "${ED%/}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
+}